[arch-commits] CVS update of extra/office/xpdf (PKGBUILD)

Tobias Kieslich tobias at archlinux.org
Wed Aug 1 15:09:05 EDT 2007


    Date: Wednesday, August 1, 2007 @ 15:09:05
  Author: tobias
    Path: /home/cvs-extra/extra/office/xpdf

Modified: PKGBUILD (1.30 -> 1.31)

upstraem patch for security alert


----------+
 PKGBUILD |   17 +++++++++++------
 1 file changed, 11 insertions(+), 6 deletions(-)


Index: extra/office/xpdf/PKGBUILD
diff -u extra/office/xpdf/PKGBUILD:1.30 extra/office/xpdf/PKGBUILD:1.31
--- extra/office/xpdf/PKGBUILD:1.30	Fri Mar  2 18:56:24 2007
+++ extra/office/xpdf/PKGBUILD	Wed Aug  1 15:09:05 2007
@@ -1,25 +1,30 @@
-# $Id: PKGBUILD,v 1.30 2007/03/02 23:56:24 tobias Exp $
+# $Id: PKGBUILD,v 1.31 2007/08/01 19:09:05 tobias Exp $
 # Maintainer: tobias <tobias at archlinux.org>
 # Contributor Sarah Hay <sarahhay at mb.sympatico.ca>
 
 pkgname=xpdf
 _srcver=3.02
-_patchlevel=pl2
-#pkgver=${_srcver}_${_patchlevel}
-pkgver=${_srcver}
+_patchlevel=pl1
+pkgver=${_srcver}_${_patchlevel}
+#pkgver=${_srcver}
 pkgrel=1
 pkgdesc="Xpdf is a viewer for Portable Document Format (PDF) files."
 arch=(i686 x86_64)
+license=('GPL')
 depends=('gcc>=4.1' 'lesstif' 't1lib' 'gsfonts')
 backup=(etc/xpdfrc)
 url="http://www.foolabs.com/xpdf/"
 install=${pkgname}.install
-source=(ftp://ftp.foolabs.com/pub/${pkgname}/${pkgname}-${_srcver}.tar.gz
+source=(ftp://ftp.foolabs.com/pub/${pkgname}/${pkgname}-${_srcver}.tar.gz \
+        ftp://ftp.foolabs.com/pub/${pkgname}/${pkgname}-${_srcver}${_patchlevel}.patch \
         ${pkgname}.desktop)
-md5sums=('599dc4cc65a07ee868cf92a667a913d2' '6c606eeca046cc9f32835f98f635c084')
+md5sums=('599dc4cc65a07ee868cf92a667a913d2' \
+         '877118786dfe27d1b7aa5a6759cc6e45' \
+         '6c606eeca046cc9f32835f98f635c084')
 
 build() {
   cd ${startdir}/src/${pkgname}-${_srcver}
+  patch -Np1 -i ../${pkgname}-${_srcver}${_patchlevel}.patch || return 1
   sed -i 's:/usr/share/fonts/type1/gsfonts:/usr/share/fonts/Type1:' xpdf/GlobalParams.cc || return 1
   ./configure                                                  \
     --prefix=/usr                                              \




More information about the arch-commits mailing list